function [xc, yc, xp] = LoadCorrespondences(filename)
%filename = 'cavall5.dat';

f = fopen(filename);

num_correspondences = fscanf(f,'%d\r\n',1)

corr = fscanf(f, '%f %f %f', [3, num_correspondences])';

xc = corr(:,1);
yc = corr(:,2);
xp = corr(:,3);

fclose(f);