%function s = score(emitted, received)
% 
%  returns a measure [-1,1] of similarity (1 equal, -1 totally different)
%  between two vector of 3x1 or 1x3 so that:
%
%     emitted(i) in {-1, 0, 1}
%     received(i) in [-1, 0, 1]
%
function s = score(emitted, received)

consistencies = [Consistency(emitted(1), received(1))   Consistency(emitted(2), received(2))   Consistency(emitted(3), received(3))];

s = min(consistencies);

