function [r,g,b,index] = IdentifyRGB(vector, colors)

r = 0;
g = 0;
b = 0;
index = 0;

vector=double(vector);

%we calculate the median of RGB of the given vector
med_R = double(median(vector(:,1)));
med_G = double(median(vector(:,2)));
med_B = double(median(vector(:,3)));

v = [med_R med_G med_B];
[M, pos_max] = max(v);
[m, pos_min] = min(v);

index=-1;

%test of CYAN:
if (pos_max==2) & (med_B>0.4*med_G)
    index = 3;
    r = colors(3,1);
    g = colors(3,2);
    b = colors(3,3);
end

if (index==-1)
    
    
    if pos_min==1,
        med_R = 0;
    end
    if pos_min==2,
        med_G = 0;
    end
    if pos_min==3,
        med_B = 0;
    end
    
    %test of RED:
    if (pos_max==1) & (med_B==0)
        index = 1;
        r = colors(1,1);
        g = colors(1,2);
        b = colors(1,3);
    end
    %test of GREEN:
    if (pos_max==2) & (med_B==0)
        index = 2;
        r = colors(2,1);
        g = colors(2,2);
        b = colors(2,3);
    end
    %test of magenta:
    if (med_G==0)
        index = 4;
        r = colors(4,1);
        g = colors(4,2);
        b = colors(4,3);
    end
end


% %test of RED:
% if (pos_max==1)&(med_B<med_G)
%     index = 1;
%     r = colors(1,1);
%     g = colors(1,2);
%     b = colors(1,3);
% end
% 
% %test of GREEN:
% if (pos_max==2)&(med_B<med_R)&(med_B<0.2*med_G)
%     index = 2;    
%     r = colors(2,1);
%     g = colors(2,2);
%     b = colors(2,3);    
% end
% 
% %test of CYAN:
% if (pos_max==2)&(med_B>0.3*med_G)
%     index = 3;    
%     r = colors(3,1);
%     g = colors(3,2);
%     b = colors(3,3);
% end
% 
% %test of MAGENTA:
% if ( (pos_max==1)||(pos_max==3) ) & (pos_min==2)
%     index = 4;    
%     r = colors(4,1);
%     g = colors(4,2);
%     b = colors(4,3);    
% end