function [Tc_i, Tc_e, Tp_i, Tp_e] = LoadCalibration(filename_cal)

%filename_cal = 'calibration1.txt';

f = fopen(filename_cal);

Tc_i = zeros(3,4);

disp(fscanf(f, '%c\r\n',6));
disp(fscanf(f, '%c\r\n',2));

Tc_i(1,1) = fscanf(f, '%f\r\n', 1);
Tc_i(1,2) = fscanf(f, '%f\r\n', 1);
Tc_i(1,3) = fscanf(f, '%f\r\n', 1);
Tc_i(1,4) = fscanf(f, '%f\r\n', 1);

Tc_i(2,1) = fscanf(f, '%f\r\n', 1);
Tc_i(2,2) = fscanf(f, '%f\r\n', 1);
Tc_i(2,3) = fscanf(f, '%f\r\n', 1);
Tc_i(2,4) = fscanf(f, '%f\r\n', 1);

Tc_i(3,1) = fscanf(f, '%f\r\n', 1);
Tc_i(3,2) = fscanf(f, '%f\r\n', 1);
Tc_i(3,3) = fscanf(f, '%f\r\n', 1);
Tc_i(3,4) = fscanf(f, '%f\r\n', 1);

%Tc_i

Tc_e = zeros(4,4);
disp(fscanf(f, '%c\r\n',2));

Tc_e(1,1) = fscanf(f, '%f\r\n', 1);
Tc_e(1,2) = fscanf(f, '%f\r\n', 1);
Tc_e(1,3) = fscanf(f, '%f\r\n', 1);
Tc_e(1,4) = fscanf(f, '%f\r\n', 1);

Tc_e(2,1) = fscanf(f, '%f\r\n', 1);
Tc_e(2,2) = fscanf(f, '%f\r\n', 1);
Tc_e(2,3) = fscanf(f, '%f\r\n', 1);
Tc_e(2,4) = fscanf(f, '%f\r\n', 1);

Tc_e(3,1) = fscanf(f, '%f\r\n', 1);
Tc_e(3,2) = fscanf(f, '%f\r\n', 1);
Tc_e(3,3) = fscanf(f, '%f\r\n', 1);
Tc_e(3,4) = fscanf(f, '%f\r\n', 1);

Tc_e(4,1) = fscanf(f, '%f\r\n', 1);
Tc_e(4,2) = fscanf(f, '%f\r\n', 1);
Tc_e(4,3) = fscanf(f, '%f\r\n', 1);
Tc_e(4,4) = fscanf(f, '%f\r\n', 1);

%Tc_e

%load projector matrices
Tp_i = zeros(3,4);

disp(fscanf(f, '%c\r\n',9));
disp(fscanf(f, '%c\r\n',2));

Tp_i(1,1) = fscanf(f, '%f\r\n', 1);
Tp_i(1,2) = fscanf(f, '%f\r\n', 1);
Tp_i(1,3) = fscanf(f, '%f\r\n', 1);
Tp_i(1,4) = fscanf(f, '%f\r\n', 1);

Tp_i(2,1) = fscanf(f, '%f\r\n', 1);
Tp_i(2,2) = fscanf(f, '%f\r\n', 1);
Tp_i(2,3) = fscanf(f, '%f\r\n', 1);
Tp_i(2,4) = fscanf(f, '%f\r\n', 1);

Tp_i(3,1) = fscanf(f, '%f\r\n', 1);
Tp_i(3,2) = fscanf(f, '%f\r\n', 1);
Tp_i(3,3) = fscanf(f, '%f\r\n', 1);
Tp_i(3,4) = fscanf(f, '%f\r\n', 1);

%
%Tp_i

Tp_e = zeros(4,4);
disp(fscanf(f, '%c\r\n',2));

Tp_e(1,1) = fscanf(f, '%f\r\n', 1);
Tp_e(1,2) = fscanf(f, '%f\r\n', 1);
Tp_e(1,3) = fscanf(f, '%f\r\n', 1);
Tp_e(1,4) = fscanf(f, '%f\r\n', 1);

Tp_e(2,1) = fscanf(f, '%f\r\n', 1);
Tp_e(2,2) = fscanf(f, '%f\r\n', 1);
Tp_e(2,3) = fscanf(f, '%f\r\n', 1);
Tp_e(2,4) = fscanf(f, '%f\r\n', 1);

Tp_e(3,1) = fscanf(f, '%f\r\n', 1);
Tp_e(3,2) = fscanf(f, '%f\r\n', 1);
Tp_e(3,3) = fscanf(f, '%f\r\n', 1);
Tp_e(3,4) = fscanf(f, '%f\r\n', 1);

Tp_e(4,1) = fscanf(f, '%f\r\n', 1);
Tp_e(4,2) = fscanf(f, '%f\r\n', 1);
Tp_e(4,3) = fscanf(f, '%f\r\n', 1);
Tp_e(4,4) = fscanf(f, '%f\r\n', 1);

%Tp_e

fclose(f);
