function [cost, direction] = Cost_and_Path(index_received, index_emitted, CostMatrix, emitted, received)

j = index_emitted;
i = index_received;

if (j==0) || (i==0)
    cost = 0;
else        
    if (i>1) & (j>1) & (CostMatrix(i-1,j-1)>-99)
        option1 = CostMatrix(i-1,j-1)+score(emitted(index_emitted,:), received(index_received,:));
    else
        option1 = Cost_and_Path(i-1, j-1, CostMatrix, emitted, received)+score(emitted(index_emitted,:), received(index_received,:));
    end
    if (i>1) & (CostMatrix(i-1, j)>-99)
        option2 = CostMatrix(i-1,j);
    else
        option2 = Cost_and_Path(i-1, j, CostMatrix, emitted, received);
    end
    if (j>1) & (CostMatrix(i, j-1)>-99)
        option3 = CostMatrix(i, j-1);
    else
        option3 = Cost_and_Path(i, j-1, CostMatrix, emitted, received);
    end
        
    [maximum, pos_max] = max([option1 option2 option3]);
    cost = maximum;
    direction = pos_max;
%     if (option2>=option3) & (option2>=option1)
%         direction = 2;
%         cost = option2;
%     else
%         if (option3>=option2) & (option3>=option1)
%             direction = 3;
%             cost = option3;
%         else
%             direction = 1;
%             cost = option1;
%         end
%     end
end