function peak = Normalized_centroid(vector, threshold)

%we normalize the vector:
vector = vector/max(vector);

%we create a new vector with all the elements of vector greater than the
%given threshold. we store the position of every inserted ellement in the
%original vector

new_v = [];
positions_v = [];

for i=1:length(vector),
    if (vector(i)>threshold)
        new_v = [new_v vector(i)];
        positions_v = [positions_v i];        
    end
end

%we now calculate the centroid
%p = 1:1:length(new_v);

centroid = (positions_v*new_v')/length(new_v);

peak = centroid - 0.5;  %the pixel center is at 0.5, 1.5, ...
%peak = (centroid-floor(centroid)) + positions_v(floor(centroid)) - 0.5;

